/*
 * CDDL HEADER START
 *
 * The contents of this file are subject to the terms of the
 * Common Development and Distribution License, Version 1.0 only
 * (the "License").  You may not use this file except in compliance
 * with the License.
 *
 * You can obtain a copy of the license at usr/src/OPENSOLARIS.LICENSE
 * or http://www.opensolaris.org/os/licensing.
 * See the License for the specific language governing permissions
 * and limitations under the License.
 *
 * When distributing Covered Code, include this CDDL HEADER in each
 * file and include the License file at usr/src/OPENSOLARIS.LICENSE.
 * If applicable, add the following below this CDDL HEADER, with the
 * fields enclosed by brackets "[]" replaced with your own identifying
 * information: Portions Copyright [yyyy] [name of copyright owner]
 *
 * CDDL HEADER END
 */

package uk.co.petertribble.jangle;

public class SnmpParams {

    public static final int SNMPV1 = 0;
    public static final int SNMPV2 = 1;
    public static final int SNMPV3 = 2;

    private String server;
    private String community;
    private int version;

    public SnmpParams(String server) {
	this(server, "public");
    }

    public SnmpParams(String server, String community) {
	this(server, community, SNMPV1);
    }

    public SnmpParams(String server, String community, int version) {
	this.server = server;
	this.community = community;
	this.version = version;
    }

    public String getServer() {
	return server;
    }

    public String getCommunity() {
	return community;
    }

    public int getVersion() {
	return version;
    }
}
